package dev.fyloz.plannervio.core.model.view

import dev.fyloz.plannervio.core.model.Board
import tornadofx.ItemViewModel

open class BoardViewModel(board: Board? = null) : ItemViewModel<Board>() {
    init {
        if (board != null) item = board
    }

    val id = bind(Board::idProperty)
    val name = bind(Board::nameProperty)
    val description = bind(Board::descriptionProperty)
    val isRemote = bind(Board::remoteProperty)
    val location = bind(Board::locationProperty)
    val isPrivate = bind(Board::privateProperty)
    val favorite = bind(Board::favoriteProperty)
    val lastVisited = bind(Board::lastVisitedProperty)
}
